Subject: Re: bug#22754: 25.1.50; Rmail does not follow RFC 2822

From: Marcin Borkowski <[email-masked]>
Date: Fri, 26 Feb 2016 19:17:22 +0100

On 2016-02-26, at 18:43, Glenn Morris <[email-masked]> wrote:

> Marcin Borkowski wrote:
>
>> Rmail inserts lower-case field names in the header, which goes against
>> RFC 2822 (pp. 22 and 23, see
>> https://tools.ietf.org/html/rfc2822#page-22).
>
> Andy Moreton wrote:
>
>> This should be "In-Reply-To" as described in RFC 2822 section 3.6.4.
>
> Going back to this, what exactly are you referring to in the RFC?
> All I can find on the subject of case is an explicit statement that
> values are case insensitive (as one would expect):

I've been told that if it is not stated explicitly that field names are
case-insensitive, they are not, and their names should nit be changed in
any way.

>     1.2.2. Syntactic notation
>     
>     Characters will be specified either by a decimal value (e.g., the value
>     %d65 for uppercase A and %d97 for lowercase A) or by a case-insensitive
>     literal value enclosed in quotation marks (e.g., "A" for either
>     uppercase or lowercase
>
> So the fact they happen to write "In-Reply-To" implies nothing about case.

Seems it does.

Best,

-- 
Marcin Borkowski
http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
Faculty of Mathematics and Computer Science
Adam Mickiewicz University